
function TrafficVehicle:load(xmlFile)
  self.justStarted = true
  self.isSunOn = false
  self.isNiceWeather = false
   self.lightsId = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.lights#groupIndex"))
  local colorNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.colors#index"))
  if colorNode ~= nil then
    local colors = {}
    table.insert(colors, {1,1,1})
    local i = 0
    while true do
        local key = string.format("vehicle.colors.color(%d)", i)
        local rgb = getXMLString(xmlFile, key .. "#rbg")
        if rgb == nil then
          break
        end
        local r, g, b = Utils.getVectorFromString(rgb)
        if r ~= nil and g ~= nil and b ~= nil then
          table.insert(colors, {r,g,b})
        end
        i = i + 1
    end
    local index = math.random(1, table.getn(colors))
    setShaderParameter(colorNode, "partScale", colors[index][1], colors[index][2], colors[index][3], 0, false)
  end


		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Zuk/Zuk1.xml") then	
		self.motorSound1 = Utils.getFilename("Dzwieki/Nysa.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound1, 25, 3, 1, 0);


		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Zuk/Zuk.xml") then	
		self.motorSound2 = Utils.getFilename("Dzwieki/Nysa.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound2, 25, 3, 1, 0);
		
		
		
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Fiat126p/Fiat126p1.xml") then	
		self.motorSound3 = Utils.getFilename("Dzwieki/Fiat126p.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound3, 25, 3, 1, 0);
		
		
		
		
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Polonez/PolonezPolicja.xml") then	
		self.motorSound4 = Utils.getFilename("Dzwieki/Polonez .wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound4, 25, 3, 1, 0);
		
		
		
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Fiat126p/Fiat126p.xml") then	
		self.motorSound5 = Utils.getFilename("Dzwieki/Fiat126p.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound5, 25, 3, 1, 0);
		
		
		
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Polonez/Polonez.xml") then	
		self.motorSound6 = Utils.getFilename("Dzwieki/Polonez .wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound6, 25, 3, 1, 0);
		
		
		
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Romet/Romet1.xml") then	
		self.motorSound7 = Utils.getFilename("Dzwieki/Nysa.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound7, 25, 3, 1, 0);




		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Romet/Romet.xml") then	
		self.motorSound8 = Utils.getFilename("Dzwieki/Nysa.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound8, 25, 3, 1, 0);
		
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Nysa/Nysa.xml") then	
		self.motorSound9 = Utils.getFilename("Dzwieki/Nysa.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound9, 25, 3, 1, 0);
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Ursus/Ursus330.xml") then	
		self.motorSound10 = Utils.getFilename("Dzwieki/ursusC330.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound10, 25, 3, 1, 0);

	
		
	elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Ursus/URSUS330Zprzyczepa.xml") then	
		self.motorSound11 = Utils.getFilename("Dzwieki/ursusC330.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound11, 25, 3, 1, 0);

elseif Utils.endsWith(self.configFileName, "/TrafficPackPL/Ursus/ursus15014.xml") then	
		self.motorSound12 = Utils.getFilename("Dzwieki/ursus15014_idle.wav", self.baseDirectory)
		self.soundId = createAudioSource("trafficSample", self.motorSound12, 25, 3, 1, 0);
		
	
		
	
	else
		self.soundId = createAudioSource("trafficSample", "data/vehicles/cars/carSound.wav", 25, 2, 1, 0) --     
	end	
	link(self.components[1].node, self.soundId);	
end
function TrafficVehicle:delete()
end
function TrafficVehicle:mouseEvent(posX, posY, isDown, isUp, button)
end
function TrafficVehicle:keyEvent(unicode, sym, modifier, isDown)
end
function TrafficVehicle:update(dt)
    if self.justStarted or self.isSunOn ~= g_currentMission.environment.isSunOn or self.isNiceWeather ~= (g_currentMission.environment.currentRain == nil) then
        self.isSunOn = g_currentMission.environment.isSunOn;
		self.isNiceWeather = g_currentMission.environment.currentRain == nil;
		self.justStarted = false;
        setVisibility(self.lightsId, not (self.isSunOn and self.isNiceWeather)); 
        setVisibility(self.lightsId2, not (self.isSunOn and self.isNiceWeather));
        setVisibility(self.lightsId3, not (self.isSunOn and self.isNiceWeather));
    end;
end
function TrafficVehicle:draw()
end